--
-- Table structure for table `system_summary_table`
--

DROP TABLE IF EXISTS system_summary_table;
CREATE TABLE system_summary_table (
  point int(11) NOT NULL default '0',
  provider varchar(100) NOT NULL default '',
  holder varchar(100) NOT NULL default '',
  on_date datetime default NULL,
  off_date datetime default NULL,
  bit_value tinyint(1) default NULL,
  PRIMARY KEY  (point,provider,holder),
  KEY system_summary_on_date_idx (on_date)
) TYPE=MyISAM;

--このSQLはRC14からRC15にバージョンアップする時に実行します。
ALTER TABLE point_table
 ADD point_flag tinyint(1) NOT NULL default '1',
 ADD unit_flag tinyint(1) NOT NULL default '1',
 ADD name_flag tinyint(1) NOT NULL default '1',
 ADD unit_mark_flag tinyint(1) NOT NULL default '1',
 ADD attribute1_flag tinyint(1) NOT NULL default '1',
 ADD attribute2_flag tinyint(1) NOT NULL default '1',
 ADD attribute3_flag tinyint(1) NOT NULL default '1';
